# Gimp.convolve

    function convolve(drawable: Gimp.Drawable, pressure: Number(gdouble), convolve_type: Gimp.ConvolveType, strokes: Array(Number(gdouble))): Boolean {
        // Gjs wrapper for gimp_convolve()
    }

Convolve (Blur, Sharpen) using the current brush.

This tool convolves the specified drawable with either a sharpening or blurring kernel. The pressure parameter controls the magnitude of the operation. Like the paintbrush, this tool linearly interpolates between the specified stroke coordinates.

drawable

  The affected drawable.

pressure

  The pressure.

convolve_type

  Convolve type.

strokes

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, ..., sn.x, sn.y }.

Returns

  TRUE on success.